%global pkg_name QuickCheck

%global common_summary Automatic testing of Haskell programs

%global common_description QuickCheck80 is a library for random testing of program properties.\
\
The programmer provides a specification of the program, in the form of\
properties which functions should satisfy, and QuickCheck then tests that\
the properties hold in a large number of randomly generated cases.\
\
Specifications are expressed in Haskell, using combinators defined in\
the QuickCheck library. QuickCheck provides combinators to define properties,\
observe the distribution of test data, and define test data generators.

Name:           ghc-%{pkg_name}
# part of haskell-platform-2011.4.0.0
Version:        2.4.1.1
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-extensible-exceptions-prof
BuildRequires:  ghc-random-prof
# no ghci on ppc64
%ifarch %{ghc_arches_with_ghci}
BuildRequires:  ghc-template-haskell-prof
%endif

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ifnarch %{ghc_arches_with_ghci}
%define cabal_configure_options -f "-templateHaskell"
%endif
%ghc_lib_build


%install
%ghc_lib_install


%ghc_lib_package


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 27 2011 Jens Petersen <petersen@redhat.com> - 2.4.1.1-1
- update to 2.4.1.1 for haskell-platform-2011.4.0.0
- no longer depends on mtl nor ghci
- update to cabal2spec-0.24.1
- build on archs without ghci without template-haskell

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.4.0.1-7.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.4.0.1-7.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 2.4.0.1-7.1
- rebuild with new gmp

* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 2.4.0.1-7
- BR ghc-Cabal-devel and use ghc_excluded_archs

* Fri May 27 2011 Jens Petersen <petersen@redhat.com> - 2.4.0.1-6
- update to cabal2spec-0.23: add ppc64

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 2.4.0.1-5
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Jens Petersen <petersen@redhat.com> - 2.4.0.1-3
- rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 2.4.0.1-2
- update to cabal2spec-0.22.4

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 2.4.0.1-1
- update to 2.4.0.1
- add hscolour
- update url and drop -o obsoletes

* Fri Jul 16 2010 Jens Petersen <petersen@redhat.com> - 2.1.1.1-1
- update to 2.1.1.1 for haskell-platform-2010.2.0.0
- obsolete doc subpackage (ghc-rpm-macros-0.8.0)

* Sun Jun 27 2010 Jens Petersen <petersen@redhat.com> - 2.1.0.3-3
- sync cabal2spec-0.22.1

* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 2.1.0.3-2
- rebuild against ghc-6.12.2

* Tue Mar 23 2010 Jens Petersen <petersen@redhat.com> - 2.1.0.3-1
- update to 2.1.0.3 for haskell-platform-2010.1.0.0
- BR ghc-ghc

* Thu Jan 21 2010 Jens Petersen <petersen@redhat.com> - 2.1.0.2-2
- BSD license
- summary and description
- comment part of haskell-platform-2009.3.1

* Thu Jan 21 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 2.1.0.2-1
- initial packaging for Fedora automatically generated by cabal2spec-0.21.1
